<template>
  <div class="option-card">
    <div class="option-data">
      <h3>Итого</h3>
    </div>
    <span class="price">{{total}} ₽</span>
    <div class="option-controls">
      <button v-if="user" class="vue-numeric-input"  @click="onCheckoutInitiated">Купить</button>
      <button v-else class="vue-numeric-input"  @click="redirectToAuth">Войти</button>
    </div>
  </div>
</template>

<script>
  import EventOptionListItem from './EventOptionListItem';
  import './EventOptionListItem.css';
  export default {
    name: "EventOptionListItemTotal",
    extends: EventOptionListItem,
    props: ['total', 'user'],
    methods: {
      onCheckoutInitiated() {
        this.$emit('checkoutInitiated');
      },
      redirectToAuth() {
        this.$router.push({name: 'auth'});
      }
    }
  }
</script>

<style scoped>

</style>
